Loading...
Searching...
No Matches
apr_random.h File Reference

APR PRNG routines. More...

`#include "apr_pools.h"`
`#include "apr_thread_proc.h"`
Include dependency graph for apr_random.h:

Go to the source code of this file.

## Data Structures

struct | apr_crypto_hash_t

## Typedefs

typedef struct apr_crypto_hash_t | apr_crypto_hash_t
typedef void | apr_crypto_hash_init_t(apr_crypto_hash_t *hash)
typedef void | apr_crypto_hash_add_t(apr_crypto_hash_t *hash, const void *data, apr_size_t bytes)
typedef void | apr_crypto_hash_finish_t(apr_crypto_hash_t *hash, unsigned char *result)
typedef struct apr_random_t | apr_random_t

## Functions

apr_crypto_hash_t * | apr_crypto_sha256_new (apr_pool_t *p)
void | apr_random_init (apr_random_t *g, apr_pool_t *p, apr_crypto_hash_t *pool_hash, apr_crypto_hash_t *key_hash, apr_crypto_hash_t *prng_hash)
apr_random_t * | apr_random_standard_new (apr_pool_t *p)
void | apr_random_add_entropy (apr_random_t *g, const void *entropy_, apr_size_t bytes)
apr_status_t | apr_random_insecure_bytes (apr_random_t *g, void *random, apr_size_t bytes)
apr_status_t | apr_random_secure_bytes (apr_random_t *g, void *random, apr_size_t bytes)
void | apr_random_barrier (apr_random_t *g)
apr_status_t | apr_random_secure_ready (apr_random_t *r)
apr_status_t | apr_random_insecure_ready (apr_random_t *r)
void | apr_random_after_fork (apr_proc_t *proc)

## Detailed Description

APR PRNG routines.